#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    long long a[n][2];
    for(int i=0;i<n;i++){
        for(int j=0;j<2;j++){
            cin>>a[i][j];
        }
    }
    cout<<"-1"<<endl;
    return 0;
}